#include <bits/stdc++.h>
using namespace std;
int main ()
{
    int n;
    cin>>n;
    int nam[n];
    for(int x=0; x<n; x++)
    {
        string s;
        cin>>s;
        if(s.size()%2==0)
        {
            int broi;
            bool found=true;
            for(int i=0; i<s.size() && found==true; i++)
            {
                broi=1;
                if(s[i]!='*')
                {
                    for(int j=i+1; j<s.size(); j++)
                    {
                        if(s[i]==s[j])
                        {
                            broi++;
                            s[j]='*';
                        }
                    }

                    if(broi%2!=0)
                    {
                        nam[x]=0;
                        found=false;
                    }
                }
            }
            if(found) nam[x]=1;


        }
        if(s.size()%2!=0)
        {
            int broi, found=0;
            for(int i=0; i<s.size() && found<2; i++)
            {
                broi=1;
                if(s[i]!='*')
                {
                    for(int j=i+1; j<s.size(); j++)
                    {
                        if(s[i]==s[j])
                        {
                            broi++;
                            s[j]='*';
                        }
                    }
                    if(broi>1) s[i]='*';
                    if(broi%2!=0)
                    {
                        found++;
                    }
                }
            }
            if(found>=2) nam[x]=0;
            else nam[x]=1;

        }
    }
    for(int i=0; i<n; i++) cout<<nam[i];
    return 0;
}
